//ͷļ
#ifndef TUNNEL_H
#define TUNNEL_H
/**
* ļ     tunnel.h
*     ʵԸΪԪصλģ
* ϸϢ  
*     䣺57862207@qq.com
*      2022-7-14
*/

#include <deque>
#include <vector>
#include <boost/serialization/singleton.hpp>
#include "point.h"
#include "line.h"
#include "db/db_api/CDBSingletonDefine.h"
#include "db/db_api/CDBResultSet.h"

// ࣬ڴ洢λĻԪ
class tunnel_cell
{
public:
	tunnel_cell(double x, double y, double z);
	~tunnel_cell();
	//ӵʵֵڽתɾʾ
	double x;
	double y;
	double z;
protected:
private:
	
	//վţκλվǷΧڣidΪ-1
	//int reader_id;
	//վľ룬ڷΪ׷ΪκλվǷΧ˱ֵЧ
	//double dist;
};

//ֳ࣬һһĸӣڴ洢ĸӼϡ
class tunnel
{
public:
	tunnel();
	~tunnel();
	//ʼб
	bool init_cells();
	//ʼ
	bool init_tunnel();
	//ͨŻȡӵľλ
	bool get_position_by_cell_index(int index, point& pos);
	//ȡܸ
	int get_cells_count();
	//ͨȡڵĸλãڽվӳ䵽
	int get_cell_index_by_position(const point& pos);
protected:
private:
	//ݿжȡʼ߶
	bool read_lines_from_db();
	//߶ζתɸ
	bool transform_lines_to_cells();
	// Ӷ [7/14/2022 zengminguo]
	std::vector<tunnel_cell> m_vec_cells;
	//ʼõ߶б
	std::deque<line_v> m_queue_lines;
};

//൥
typedef boost::serialization::singleton<tunnel> singleton_tunnel;
#define s_tunnel singleton_tunnel::get_mutable_instance()
#define s_tunnel_const singleton_tunnel::get_const_instance()
#endif //#ifndef TUNNEL_H
